package com.xjrsoft.module.student.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.student.dto.StudentHonorsPageDto;
import com.xjrsoft.module.student.entity.StudentHonors;
import com.xjrsoft.module.student.vo.StudentHonorsListVo;
import com.xjrsoft.module.student.vo.StudentHonorsPageVo;
import com.xjrsoft.module.student.vo.StudentHonorsVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @title: 学生荣誉
* @Author dzx
* @Date: 2023-12-05
* @Version 1.0
*/
@Mapper
public interface StudentHonorsMapper extends MPJBaseMapper<StudentHonors> {
    IPage<StudentHonorsPageVo> getPage(IPage<StudentHonorsPageDto> page, StudentHonorsPageDto dto);

    List<StudentHonorsListVo> getClassInfo();

    List<StudentHonorsListVo> getSemesterInfo();

    StudentHonorsVo getInfo(Long id);

    Integer getSortCode();
}
